# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hslua

Name:           ghc-%{pkg_name}
Version:        0.3.13
Release:        3%{?dist}
Summary:        Lua language interpreter embedding in Haskell

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Patch0:         hslua-0.3.10-pkgconfig-lua-5.1.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-mtl-devel
BuildRequires:  pkgconfig(lua-5.1)
# End cabal-rpm deps

%description
The Scripting.Lua module is a wrapper of the Lua language interpreter described
in www.lua.org.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:       pkgconfig(lua-5.1)
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1 -b .lua~
cabal-tweak-flag system-lua True
rm src/*.c src/*.h


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc COPYRIGHT


%files devel -f %{name}-devel.files


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 19 2015 Jens Petersen <petersen@redhat.com> - 0.3.13-1
- update to 0.3.13

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 22 2014 Jens Petersen <petersen@redhat.com> - 0.3.10-2
- hslua needs lua-5.1 so build with compat-lua

* Wed Jan 22 2014 Jens Petersen <petersen@redhat.com> - 0.3.10-1
- update to 0.3.10 (#1009375)
- update license to MIT (#1009375)
  see https://github.com/osa1/hslua/issues/14
- system-lua patch is now upstream
- tweak summary and description

* Wed Oct 16 2013 Jens Petersen <petersen@redhat.com> - 0.3.6.1-2
- add static provides to devel

* Wed Sep 18 2013 Jens Petersen <petersen@redhat.com> - 0.3.6.1-1
- summary and description
- patch to use system lua

* Wed Sep 18 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.6.1-0
- spec file generated by cabal-rpm-0.8.3
